Subject: WG Action: Conclusion of Public Notary Transparency (trans)

From: IESG Secretary <[email-masked]>
Date: Tue, 31 Aug 2021 13:28:27 -0700

The Public Notary Transparency (trans) WG in the Security Area has 
concluded. The IESG contact persons are Roman Danyliw and Ben Kaduk.

The mailing list will remain open.